Skip to main content
POST
/
organizations
cURL
curl --request POST \
  --url https://www.greenflash.ai/api/v1/organizations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "externalOrganizationId": "org-456",
  "name": "Acme Corporation",
  "properties": {
    "industry": "technology",
    "size": "enterprise"
  }
}
'
{
  "success": true,
  "organization": {
    "id": "org-001",
    "externalId": "org-456",
    "name": "Acme Corporation",
    "properties": {
      "industry": "technology",
      "size": "enterprise"
    },
    "createdAt": "2025-07-01T12:00:00Z",
    "updatedAt": "2025-07-01T12:00:00Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request payload for creating a new organization.

externalOrganizationId
string
required

Your unique identifier for the organization. Use this same ID in other API calls to reference this organization.

name
string

The organization's name.

properties
object

Custom organization properties.

Response

Organization created or updated successfully

Success response for organization creation.

success
boolean
required

Whether the API call was successful.

organization
object
required

The organization that was created or updated.